Bug 500619 - Acer Aspire 5930g laptop not supported by ALSA Driver 1.0.18a - request to update to 1.0.19
Acer Aspire 5930g laptop not supported by ALSA Driver 1.0.18a - request to up...
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
11
All Linux
low Severity medium
: ---
: ---
Assigned To: Kernel Maintainer List
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-05-13 09:32 EDT by Claudio Viano
Modified: 2010-06-28 08:31 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-06-28 08:31:19 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Claudio Viano 2009-05-13 09:32:08 EDT
Description of problem: with ALSA driver 1.0.18a (current in rawhide) with this laptop I can get:
-with snd-hda-intel in default configuration, auto muting of internal speakers but bad audio quality and missing channels, for example the "side" channel that is linked to the bass speaker below the laptop is not listed in alsamixer and the speaker in mute;

-adding the option model=acer-aspire I get very good audio quality and all channels detected but no headphone sense, I need to manually mute the laptop speakers otherwise the sound comes out from both the headphones and the speakers.

-model=auto gives a (still wrong) mix of the above, I cannot remember the details right now.

Checking the changelog of the ALSA driver 1.0.18 to 1.0.19 I can find:
- ALSA: hda - Add quirks for Acer Aspire 5930G and 6930G 

Along with a great deal of other fixes and added quirks for various HDA-Intel configurations

So this is basically a request to update the ALSA driver to add support for new and not-so-new hardware.


Version-Release number of selected component (if applicable):
1.0.18a

How reproducible: always, see description.
Comment 1 Bug Zapper 2009-06-09 11:44:44 EDT
This bug appears to have been reported against 'rawhide' during the Fedora 11 development cycle.
Changing version to '11'.

More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 2 Claudio Viano 2009-06-13 15:00:34 EDT
2.6.29.4-167 still includes alsa driver 1.0.18a, quite strange considering upstream alsa is at 1.0.20 and alsa-lib and utils in fedora itself are up to that version. Is there a reason for that, 1.0.18 seems to break sound blaster as well - https://bugzilla.redhat.com/show_bug.cgi?id=502698
Comment 3 Claudio Viano 2009-07-30 16:10:28 EDT
I solved by installing the alsa driver 1.0.20 from atrpms. The alsa-driver package does not exist in Fedora, the one from atrpms will brute force overwrite files provided by the Fedora kernel rpm. Everyone with a hda-intel laptop not supported by base Fedora is likely to solve that way as well.
Comment 4 Bug Zapper 2010-04-27 10:18:24 EDT
This message is a reminder that Fedora 11 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 11.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '11'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 11's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 11 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 5 Bug Zapper 2010-06-28 08:31:19 EDT
Fedora 11 changed to end-of-life (EOL) status on 2010-06-25. Fedora 11 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.